import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { StringFieldUpdateOperationsInputObjectSchema as StringFieldUpdateOperationsInputObjectSchema } from './StringFieldUpdateOperationsInput.schema'

const makeSchema = () => z.object({
  vendorName: z.union([z.string(), z.lazy(() => StringFieldUpdateOperationsInputObjectSchema)]).optional(),
  websiteUrl: z.union([z.string(), z.lazy(() => StringFieldUpdateOperationsInputObjectSchema)]).optional(),
  loginUsername: z.union([z.string(), z.lazy(() => StringFieldUpdateOperationsInputObjectSchema)]).optional(),
  loginPassword: z.union([z.string(), z.lazy(() => StringFieldUpdateOperationsInputObjectSchema)]).optional()
}).strict();
export const ShoppingVendorUpdateManyMutationInputObjectSchema: z.ZodType<Prisma.ShoppingVendorUpdateManyMutationInput> = makeSchema() as unknown as z.ZodType<Prisma.ShoppingVendorUpdateManyMutationInput>;
export const ShoppingVendorUpdateManyMutationInputObjectZodSchema = makeSchema();
